<template>
  <div>
    <md-app md-waterfall md-mode="fixed" style="min-height: 100vh;">
      <md-app-toolbar class="md-medium md-accent">
        <div class="md-toolbar-section-start">
          <span class="md-title">
            <router-link to="/">Webauthn</router-link>
          </span>
        </div>
        <md-checkbox v-model="debug">Debug</md-checkbox>
        <div v-if="loggedIn">{{name}}</div>
        <md-button v-if="loggedIn" class="md-icon-button" v-on:click="logout()">
          <md-icon >exit_to_app</md-icon>
        </md-button>
      </md-app-toolbar>
      <md-app-content>
        <router-view></router-view>
      </md-app-content>
    </md-app>
  </div>
</template>

<script>
import { store, mutations } from "./store";

export default {
  name: "Home",
  computed: {
    loggedIn() {
      return store.loggedIn;
    },
    name() {
      return store.name;
    },
    debug: {
        get(){
            return store.debug
        },
        set(){
            mutations.change_debug();
        }
    }
  },
  methods: {
    logout() {
      mutations.logout();
    }
  }
};
</script>

<style scoped>
.md-title a.router-link-active {
  color: var(--md-theme-default-text-primary-on-accent, #fff);
  text-decoration: none;
}
.md-title a.router-link-active:hover {
  color: var(--md-theme-default-text-primary-on-accent, #fff);
  text-decoration: none;
}
</style>